Bug 851375 - -bash: /etc/init.d/munin-asyncd: @@GOODSH@@: bad interpreter: No such file or directory
-bash: /etc/init.d/munin-asyncd: @@GOODSH@@: bad interpreter: No such file or...
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: munin (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-23 20:11 EDT by Paul Wouters
Modified: 2012-11-30 12:51 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 17:55:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Wouters 2012-08-23 20:11:25 EDT
Description of problem:
The init script is borken


-bash: /etc/init.d/munin-asyncd: @@GOODSH@@: bad interpreter: No such file or directory


Version-Release number of selected component (if applicable):
2.0.5-3
Comment 1 Paul Wouters 2012-08-23 20:13:30 EDT
while at it:

root@nssec ~]# /etc/init.d/munin-node restart
Stopping Munin Node agents: cat: /var/run/munin/munin-node.pid: No such file or directory
kill: usage: kill [-s sigspec | -n signum | -sigspec] pid | jobspec ... or kill -l [sigspec]
                                                           [FAILED]
Starting Munin Node:                                       [  OK  ]
Comment 2 Fedora Update System 2012-09-01 01:55:08 EDT
munin-2.0.6-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/munin-2.0.6-1.fc18
Comment 3 Fedora Update System 2012-09-01 09:01:09 EDT
munin-2.0.6-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/munin-2.0.6-1.fc17
Comment 4 Fedora Update System 2012-09-01 09:45:49 EDT
munin-2.0.6-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/munin-2.0.6-1.fc16
Comment 5 Fedora Update System 2012-09-01 12:57:03 EDT
Package munin-2.0.6-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing munin-2.0.6-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13110/munin-2.0.6-1.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-09-01 15:41:11 EDT
munin-2.0.6-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/munin-2.0.6-1.el6
Comment 7 Fedora Update System 2012-09-01 16:13:44 EDT
munin-2.0.6-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/munin-2.0.6-1.el5
Comment 8 Paul Wouters 2012-09-05 14:25:28 EDT
the updated package throws an error via cron:


Date: Wed, 5 Sep 2012 14:10:11
From: Cron Daemon <munin@bofh.nohats.ca>
To: root@bofh.nohats.ca
Subject: Cron <munin@bofh> test -x /usr/bin/munin-cron && /usr/bin/munin-cron

not a reference at /usr/share/perl5/vendor_perl/Munin/Master/Utils.pm line 911
Comment 9 Fedora Update System 2012-09-08 02:39:51 EDT
munin-2.0.6-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/munin-2.0.6-2.fc17
Comment 10 Fedora Update System 2012-09-08 03:27:18 EDT
munin-2.0.6-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/munin-2.0.6-2.fc16
Comment 11 Fedora Update System 2012-09-08 03:40:47 EDT
munin-2.0.6-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/munin-2.0.6-2.el6
Comment 12 Fedora Update System 2012-09-08 03:53:39 EDT
munin-2.0.6-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/munin-2.0.6-2.el5
Comment 13 Fedora Update System 2012-09-17 17:55:37 EDT
munin-2.0.6-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2012-09-26 04:59:47 EDT
munin-2.0.6-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2012-09-26 05:07:22 EDT
munin-2.0.6-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2012-09-26 17:34:10 EDT
munin-2.0.6-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2012-09-26 17:36:53 EDT
munin-2.0.6-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Aleksandr Chumakov 2012-10-12 07:43:17 EDT
I have same problem with munin-2.0.6-2.el6.noarch.
# su munin -m -c "/usr/bin/munin-cron"
not a reference at /usr/share/perl5/vendor_perl/Munin/Master/Utils.pm line 911
Comment 19 C Page 2012-11-22 15:41:24 EST
Same error.
Am munin newbie.
Installed today on rhel 6.3 on AWS 

- problem reported in mailed cron error log:
Subject: Cron <munin@<server_internal_name> > test -x /usr/bin/munin-cron && /usr/bin/munin-cron
Content-Type: text/plain; charset=UTF-8
Auto-Submitted: auto-generated
X-Cron-Env: <MAILTO=root>
X-Cron-Env: <SHELL=/bin/sh>
X-Cron-Env: <HOME=/var/lib/munin>
X-Cron-Env: <PATH=/usr/bin:/bin>
X-Cron-Env: <LOGNAME=munin>
X-Cron-Env: <USER=munin>
Date: Thu, 22 Nov 2012 12:06:12 -0500 (EST)
Status: R

not a reference at /usr/share/perl5/vendor_perl/Munin/Master/Utils.pm line 911

Installed Packages
munin.noarch               2.0.6-2.el6       @epel
munin-common.noarch        2.0.6-2.el6       @epel
munin-node.noarch          2.0.6-2.el6       @epel
Available Packages
PyMunin.noarch             0.9.19-1.el6       epel
munin-async.noarch         2.0.6-2.el6        epel
munin-java-plugins.noarch  2.0.6-2.el6        epel
unbound-munin.x86_64       1.4.16-2.el6       epel

Any news when the fix will be promoted to epel ?  
Thanks
Comment 20 C Page 2012-11-22 15:56:48 EST
Should add that the repository used was latest available

 http://download.fedoraproject.org/pub/epel/6/x86_64/epel-release-6-7.noarch.rpm
Comment 21 C Page 2012-11-30 07:28:32 EST
(In reply to comment #20)
> Should add that the repository used was latest available

> http://download.fedoraproject.org/pub/epel/6/x86_64/epel-release-6-7.noarch.
> rpm
Comment 22 C Page 2012-11-30 07:31:14 EST
(In reply to comment #11)
> munin-2.0.6-2.el6 has been submitted as an update for Fedora EPEL 6.
> https://admin.fedoraproject.org/updates/munin-2.0.6-2.el6

downloaded the latest this morning and reinstalled and still getting the error.
Comment 23 d. johnson 2012-11-30 12:51:02 EST
Are you still getting this error?

-bash: /etc/init.d/munin-asyncd: @@GOODSH@@: bad interpreter: No such file or directory

If so, that is really odd.

If you are referring to the other issue, please open a different BZ for the "Utils.pm line 911" item.  (It is not forgotten, but needs to be tracked separately from the @@GOODSH@@ issue)

Note You need to log in before you can comment on or make changes to this bug.